All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
testing::TestEventListener Class Referenceabstract
Inheritance diagram for testing::TestEventListener:

## Public Member Functions

virtual void | OnTestProgramStart (const UnitTest &unit_test)=0
virtual void | OnTestIterationStart (const UnitTest &unit_test, int iteration)=0
virtual void | OnEnvironmentsSetUpStart (const UnitTest &unit_test)=0
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &unit_test)=0
virtual void | OnTestCaseStart (const TestCase &test_case)=0
virtual void | OnTestStart (const TestInfo &test_info)=0
virtual void | OnTestPartResult (const TestPartResult &test_part_result)=0
virtual void | OnTestEnd (const TestInfo &test_info)=0
virtual void | OnTestCaseEnd (const TestCase &test_case)=0
virtual void | OnEnvironmentsTearDownStart (const UnitTest &unit_test)=0
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &unit_test)=0
virtual void | OnTestIterationEnd (const UnitTest &unit_test, int iteration)=0
virtual void | OnTestProgramEnd (const UnitTest &unit_test)=0

## Detailed Description

Definition at line 991 of file gtest.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/gtest.h